body, html {
    font-family: 'Times New Roman', Times, serif;
    margin: 0;
    background-image: url(images/fondo\ cyberpunk.jpg);
    position:static;
}
header, section, footer {
    width: 960px;
    margin-left: auto;
    margin-right: auto;
    z-index: 500;
}

#banner {
    background-image: url(images/banner.jpg);
    height: 750px;
    background-attachment: fixed;
    background-size: cover;
}

/*NAV*/
header {
    position: sticky;top: 0;
}

.nav-logo{
    width: 50px;}

.nav-link{
    color: rgb(171, 170, 170) !important;
    
}

.dropdown-item{
    transition: all 300ms ease;
}

.dropdown-item:active{
    background-color: gray;
}

.transicion-nav{
transition: all 300ms ease;
}
.transicion-nav:hover{
    padding: 10px;
   background-color: gray;
}

.arreglar-nav{
    padding-left: 67%;
}

/*MODAL INICIO DE SESIÓN*/

.modal-nav{
    color: white;
}

.login-nav{
    display: grid;
    grid-template-columns: repeat(1, 1fr);
}

.registro-nav{
    margin: 10px;
    display:flex;
    color: #d8d6d6;
}

.registro-boton-nav{
    margin-left: 5px;
    color:white
}


#intro {
    width: 800px;
    height: 100%;
    background: -webkit-linear-gradient(top,rgba(33, 32, 116, 0.503),rgba(69, 11, 146, 0.492));
    border-radius: 15px;
    margin-top: 30px;
}

h2{
    text-align: center;
    color: rgb(255, 255, 255);
    background-color: #2b3035;
}

#card{
    margin-top: auto;
    margin-block: center;
}

#contenido1 {
    width: 960px;
    height: 1600px;
    color:rgb(245, 253, 255);
    font-family:Arial, Helvetica, sans-serif;
    font-size:medium;
    background: -webkit-linear-gradient(top,rgba(33, 32, 116, 0.503),rgba(69, 11, 146, 0.492));
    margin-top: 30px;
    border-radius: 15px;
}

.card-img.top{
    margin-top: auto;
    margin-bottom: auto;
}


.caja1_sec1 {
    width: 960px;
    height: auto;
    float: left;
    text-align: center;
    margin-top: 3%;
}

.caja2_sec1 {
    width: 960px;
    height: auto;
    float: right;
    text-align: center;
    margin-top: 3%;

}
.caja3_sec1 {
    width: 960px;
    height: auto;
    float: right;
    text-align: center;
    margin-top: 3%;
}

#contenido2 {
    height: 700px;
    width: 960px;
    margin-top: 50px;
}

#caja1_sec2 {
    width: 48%;
    height: 100%;
    float: left;
    text-align: center;
    border-radius: 1%;
    margin-right: 1%;
}
#caja2_sec2 {
    width: 48%;
    height: 100%;
    float: right;
    border-radius: 1%;
    margin-left: 1%;
    text-align: center;
}
#contenido3 {
    height: 100%;
    width: 960px;
    margin-top: 15px;
    float: center;
}

#cajita_1 , #cajita_2 , #cajita_3 {
    width: 300px;
    height: 550px;
    float: left;
    margin: 10px;
    font-size: 15px;
    background-color: rgb(8, 95, 117);
    color: azure;
}

.tam_imagen_plagas {
    width: 100%;
}

p{
    margin: 4px;
}

#titulo_cajitas{
    width: 940px;
    height: 100px;
    margin: 10px;
    color: azure;
}


#modulo2 {
    width: 100%;
    margin-top: 15px;
}

#colum6{
    color: aliceblue;
}

/*FOOTER*/
.tamaño-x{
    width: 23px;
    margin-bottom: 13px;
}
.bx{
margin-left: 5px;
transition: all 300ms ease;
}


a:link, a:visited, a:active {
    text-decoration:none;
}

.footer{
    width:100%;
    background-color:#2b3035;
    margin-top: 1%;
}
.footer .seccion-1{
    width: 100%;
    max-width: 1200px;
    margin:auto;
    display:grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 50px;
    padding:25px 0px;
    text-align: center;

}

.footer .seccion-1 .caja-nav figure{
    width: 100%;
    height: 100%;
    display:flex;
    justify-content: center;
    align-items: center;
}

.footer .seccion-1 .caja-nav .logo-f{
    width: 150px;
}

.footer .seccion-1 .caja-nav h3{
    color: white;
}
.footer .seccion-1 .caja-nav p{
    color: rgb(216, 214, 214)
}


.footer .bx:hover{
    background-color: gray;
}
.seccion-2{
    background-color: #1d2023;
    text-align: center;
    padding:15px 20px;
    color: #d8d6d6
}

#subir {
    width: 50px;
    height: 50px;
    background-color: rgb(69, 10, 245);
    position: fixed;
    left: 10px;
    bottom: 5px;
    border-radius: 20px;
    padding: 5px;
    box-sizing: border-box;
}

#subir a {
    color:rgb(0, 0, 0);
    font-weight: bold;
    text-decoration: none;
    font-size: 40px;
    margin-left: 8px;
}


/*Adaptación a dispositivos de 600 a 1024px */
@media all and (min-width:600px) and (max-width: 1023px){
    header, section, footer {
        width: 580px;
    }
    
    #banner {
        height: 300px;
    }
    
    header {
        height: 100px;
        padding-top: 10px;

    }
    
    
    #botonera {
        width: 580px;
        height: 30px;
        margin-top: 10px;
        border-radius: 10px;
       
    }
    
    
    
    #intro {
        width: 580px;
        height: 400px;
    }
    
      
    #contenido1 {
        height: 100%;
        margin-top: 15%;
    }
    
    #caja1_sec1 {
        width: 580px;
        margin-top: 0;
        margin-bottom: 0;
    }
    .tam_imagen{
        width: 250px;
    }
    #caja2_sec1 {
        width: 580px;
    }
    #caja3_sec1 {
        width: 580px;
        margin-top: 30px;
    }
    
    #contenido2 {
        height: 100%;
    }
    
    #caja1_sec2 {
        width: 48%;
        height: 100%;
    }
    #caja2_sec2 {
        width: 48%;
        height: 100%;
    }
    
    #contenido3 {
        height: 100%;
        width: 580px;
    }
    
    #modulo1{
        height: 50%;
        width: 100%;
    }

    #modulo2{
        height: 50%;
        width: 100%;
    } 

    #colum4{
        z-index: 0;
    }

    #colum5{
        z-index: 1;
    }

    footer {
        width: 580px;
        height: 150px;
    }
    #botonera_pie {
        width: 150px;
        margin-top: 100px;
        margin-left: 50px;
    }
    #derechos {
        width: 300px;
        height: 150px;
    }

    #titulo_cajitas{
        width: 580px;
        height: 100px;
        margin: 10px;
        color: azure;
    }

    #cajita_1{
        width: 170px;
        height: 700px;
    }

    #cajita_2{
        width: 170px;
        height: 700px;
    }

    #cajita_3{
        width: 170px;
        height: 700px;
    }
}
@media all and (max-width: 599px){
    body, html {
        font-family: 'Times New Roman', Times, serif;
        margin: 0;
        background-image: url(images/fondo\ cyberpunk.jpg);
        position:static;
        width: 100%;
    }
    header, section, footer {
        width: 100%;
        margin-left: auto;
        margin-right: auto;
        z-index: 500;
    }
    
    #banner {
        background-image: url(images/banner.jpg);
        height: 100%;
        background-attachment: fixed;
        background-size: cover;
    }
    #intro {
        width: 100%;
        height: 100%;
        background: -webkit-linear-gradient(top,rgba(33, 32, 116, 0.503),rgba(69, 11, 146, 0.492));
        border-radius: 15px;
        margin-top: 30px;
    }
    
    h2{
        text-align: center;
        color: rgb(255, 255, 255);
        margin-top: 5%;
    }
    
    #card{
        margin-top: auto;
        margin-block: center;
    }
    
    #contenido1 {
        width: 100%;
        height: 100%;
        color:rgb(245, 253, 255);
        font-family:Arial, Helvetica, sans-serif;
        font-size:medium;
        background: -webkit-linear-gradient(top,rgba(33, 32, 116, 0.503),rgba(69, 11, 146, 0.492));
        margin-top: 30px;
        border-radius: 15px;
    }
    
    .card-img.top{
        margin-top: auto;
        margin-bottom: auto;
    }
    
    
    .caja1_sec1 {
        width: 100%;
        height: auto;
        float: center;
        text-align: center;
        margin-top: 3%;
    }
    
    .caja2_sec1 {
        width: 100%;
        height: auto;
        float: center;
        text-align: center;
        margin-top: 3%;
    
    }
    .caja3_sec1 {
        width: 100%;
        height: auto;
        float: center;
        text-align: center;
        margin-top: 3%;
    }
    
    #contenido2 {
        height: 100%;
        width: 100%;
        margin-top: 50px;
    }
    
    #caja1_sec2 {
        width: 48%;
        height: 100%;
        float: left;
        text-align: center;
        border-radius: 1%;
        margin-right: 1%;
    }
    #caja2_sec2 {
        width: 48%;
        height: 100%;
        float: right;
        border-radius: 1%;
        margin-left: 1%;
        text-align: center;
    }
    #contenido3 {
        height: 100%;
        width: 100%;
        margin-top: 15px;
        float: center;
    }
    
    #cajita_1 , #cajita_2 , #cajita_3 {
        width: 100%;
        height: 100%;
        float: center;
        margin: 10px;
        font-size: 15px;
        background-color: rgb(8, 95, 117);
        color: azure;
    }
    
    .tam_imagen_plagas {
        width: 100%;
    }
    
    p{
        margin: 4px;
    }
    
    #titulo_cajitas{
        width: 100%;
        height: 100px;
        margin: 10px;
        color: azure;
    }
    
    
    #modulo2 {
        width: 106%;
        margin-top: 15px;
        float: center;
    }
    
    #colum4{
    margin-top: 15px;
    width: 100%;
    }

    #subir {
        width: 50px;
        height: 50px;
        background-color: rgb(69, 10, 245);
        position: fixed;
        left: 10px;
        bottom: 5px;
        border-radius: 20px;
        padding: 5px;
        box-sizing: border-box;
    }
    
    #subir a {
        color:rgb(0, 0, 0);
        font-weight: bold;
        text-decoration: none;
        font-size: 40px;
        margin-left: 8px;
    }
    
    .footer .seccion-1{
        text-align: center;
        grid-template-columns: repeat(1, 1fr);
        grid-gap: 30px;
        padding:15px 0px;
    }
    .arreglar-nav{
        padding: 0%;
    }

}